<?php
session_start();
require_once('../conexion.php');
$comd_id=$_GET['id'];

$sql=mysqli_query($con, "SELECT * from compra_detalle where  comd_id='$comd_id'  ");
$resul = mysqli_fetch_array($sql);
$comd_nombre=$resul['comd_nombre'];
$vend_art_id=$resul['comd_art_id'];
$vend_cantidad_dev=$resul['comd_cantidad'];
$ven_id=$resul['compras_com_id'];

$sql4=mysqli_query($con, "SELECT * from seriales_compra where  compra_detalle_comd_id='$comd_id'  ");
$result4 = mysqli_num_rows($sql4);
$can_ser=$vend_cantidad_dev-$result4;

?>
<input type="hidden" id="cantidad" name="cantidad" value="<?php echo $can_ser;?>"  >
<div class="col-md-12">
    <div class="alert alert-info alert-dismissable">
        <strong><?php echo $comd_nombre; ?></strong>
    </div>
    <div class="tabbable">
        <ul class="nav nav-tabs">
            <li class="active"><a href="#SERIALES_R" data-toggle="tab">SERIALES REGISTRADOS</a> </li>
            <li><a href="#OTRO" data-toggle="tab">OTRO</a></li>
        </ul>
        <div class="tab-content" >
        <div id="resultados_ser"></div> 
            <div class="tab-pane  active" id="SERIALES_R">
                <input type="hidden" name="comd_id" id="comd_id" value="<?php echo $comd_id;?>"  onkeyup="loadserial()">          
                <div id="resultados_seria"></div> 
                <div id="tabla_seriales"></div>                    
            </div>
            <div class="tab-pane" id="OTRO">
                <div id="resultados_seria"></div>
                <div id="tabla_seriales3"></div>
            </div>
        </div>
    </div>
</div>
<script>
function loadserial(){
    var comd_id=$("#comd_id").val();
    $('#editModal').modal('hide');
    $.get("./php_compras/seriales.php?comd_id="+comd_id,function(data){
    $("#tabla_seriales").html(data);
    })
    }
    loadserial();

function loadserial3(){
    var comd_id=$("#comd_id").val();
    $('#editModal').modal('hide');
    $.get("./php_compras/seriales2.php?comd_id="+comd_id,function(data){
    $("#tabla_seriales3").html(data);
    })
    }
    loadserial3();

$(document).ready(function(){
    $("#cantidad").keydown(function(){
    $("input[type=checkbox]").prop('checked', false);
    $("#seleccionados").html("0");
    });
 
    $("input[type=checkbox]").change(function(){
        var elemento=this;
        var contador=0;
        $("input[type=checkbox]").each(function(){
            if($(this).is(":checked"))
                contador++;
        });
 
        var cantidadMaxima=parseInt($("#cantidad").val()) || 0;
        if(contador>cantidadMaxima)
        {
            alert("Has seleccionado mas checkbox que los indicados");
 
            $(elemento).prop('checked', false);
            contador--;
        }
        $("#seleccionados").html(contador);
    });
});
</script>                           